## org.eclipse.xsd.presentation
Class XSDEditor.GenericXMLLoadAction

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.xsd.presentation.XSDEditor.GenericXMLLoadAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

Enclosing class:
  XSDEditor

    public static class XSDEditor.GenericXMLLoadAction

extends ActionDelegate
implements IActionDelegate

Field Summary
`protected IContainer` `container`
`protected IFile` `file`

Constructor Summary
`XSDEditor.GenericXMLLoadAction()`

Method Summary
`void` `execute(IContainer container)`
`void` `execute(IFile file)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected IFile file

### container

    protected IContainer container

Constructor Detail

### XSDEditor.GenericXMLLoadAction

    public XSDEditor.GenericXMLLoadAction()

Method Detail

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### execute

    public void execute(IContainer container)

### execute

    public void execute(IFile file)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.